%define url_ver				%(echo %{version}|cut -d. -f1,2)
%define _disable_ld_no_undefined	1
%define Werror_cflags			%nil

%define major 0
%define libname %mklibname shotwell-plugin-common %{major}

Summary:	A photo organizer designed for GNOME
Name:		shotwell
Version:	0.24.1
Release:	2
License:	LGPLv2+ and CC-BY-SA
Group:		Graphics
Url:		http://www.yorba.org/shotwell/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Localized desktop files - generated using upstream Makefile with several hacks in ru.po
# and Makefile itself.
# Drop them once generation of localized desktop files is fixed upstream
# (https://bugzilla.gnome.org/show_bug.cgi?id=740873)
Source2:	shotwell.desktop
Source3:	shotwell-viewer.desktop
Patch0:		shotwell-0.24.0-appdata.patch
BuildRequires:	locales-en
BuildRequires:	itstool
BuildRequires:	vala-devel >= 0.18.0
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libexif) >= 0.4.90
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
Provides:	f-spot = %{EVRD}
# Required to send items by email
Requires:	nautilus-sendto

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%files -f %{name}.lang
%doc AUTHORS README COPYING NEWS THANKS
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell*.gschema.xml
# % {_datadir}/appdata/shotwell.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-symbolic.*
%{_mandir}/man1/shotwell.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libshotwell-plugin-common.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile \
	--disable-desktop-update \
	--disable-appdata-validate \
	--disable-icon-update
%make

%install
# otherwise gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
%makeinstall_std

# Drop development library unless headers are provided
rm -f %{buildroot}%{_libdir}/libshotwell-plugin-common.so

# https://bugzilla.gnome.org/show_bug.cgi?id=740873
cp -f %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
cp -f %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}-viewer.desktop

%find_lang %{name} --all-name --with-gnome


%changelog

* Wed Jan 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.24.1-2
- (dbbcccc) Don't package development file into shared library package

* Fri Oct 21 2016 Denis Silakov <dsilakov@gmail.com> 0.24.1-1
- (2389f0a) Updated to 0.24.1

* Fri Oct 21 2016 Denis Silakov <dsilakov@gmail.com> 0.24.0-2
- (59519fb) Build wo appdata
- (Andrey Bondrov: 426c2c5) MassBuild#1169: Increase release tag

* Mon Oct 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.24.0-1
- (222b47c) Add shared library subpackage
- (222b47c) Update files
- (Andrey Bondrov: ec60997) Adjust find_lang usage
- (Andrey Bondrov: 2c1a57b) Disable static
- (Andrey Bondrov: a8a310b) Build requires itstool
- (Andrey Bondrov: c25ec49) Try to use configure2_5x macro
- (Andrey Bondrov: 7437bb5) New version 0.24.0

* Thu Feb 11 2016 Tigro <ashejn@gmail.com> 0.22.0-4
- (3e7e61f) bump release to rebuild against new libraw

* Thu Feb 11 2016 Tigro <ashejn@gmail.com> 0.22.0-2.1
- (b083d13) hotfix russian translation with version downgrade

* Thu Feb 11 2016 Tigro <ashejn@gmail.com> 0.22.0-4
- (c439430) fix russian translation

* Sat Feb 06 2016 Denis Silakov <dsilakov@gmail.com> 0.22.0-3
- (4f9b97d) Rebuilt with new libraw

* Thu Jan 14 2016 Denis Silakov <dsilakov@gmail.com> 0.22.0-2
- (b33677c) Require nautilus-sendto

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 0.22.0-1
- (f0a847f) update to 0.22.0

* Wed Oct 28 2015 Denis Silakov <dsilakov@gmail.com> 0.20.2-5
- (ee12f66) Use pre-generated localized desktop files to workaround upstream bug with their build-time generation

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 0.22.0-1
- (c841374) update to 3.16.0

* Sat Mar 14 2015 Tigro <ashejn@yandex-team.ru> 0.21.0-1
- (fef8151) update to 0.21.0

* Mon Nov 17 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.20.2-5
- (4dd3c6c) Disable desktop-l10n patch for now - it breaks the build
- (Denis Silakov: 5d63b14) Added Russian localization for desktop file

* Wed Nov 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.20.2-4
- (d3a8000) Update Russian translation (even more fixes)

* Wed Nov 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.20.2-3
- (e0726a1) Update Russian translation (more fixes)

* Mon Nov 10 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.20.2-2
- (d8883cb) Update Russian translation

* Thu Nov 06 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.20.2-1
- (6d49737) New version 0.20.2, build with sqlite3 support

* Thu Nov 06 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.18.0-5
- (41d7eda) Minor spec cleanups

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.18.0-4
- (b1521d9) Bump release

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.18.0-3
- (aceb814) Bump release

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.18.0-2
- (c2b7c59) MassBuild#440: Increase release tag

* Tue May 20 2014 Tigro <ashejn@gmail.com> 0.18.0-1
- (d254627) added BR: gnome-doc-utils
- (Tigro: 0be6e7d) update to 0.18.0

* Tue May 06 2014 Alex Burmashev <alex.burmashev@gmail.com> 0.15.1-4
- (48d53d2) minor spec cleanup


